import App from './App.vue'
import {
	routeInterceptor
} from './routeInterceptor.js'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
import * as Pinia from 'pinia';
import utils from "@/utils/utils.js";
import share from "@/utils/share.js";

export function createApp() {
	const app = createSSRApp(App)
	app.use(routeInterceptor)
	app.use(Pinia.createPinia());
	app.mixin(share)
	app.config.globalProperties.$utils = utils

	return {
		app,
		Pinia
	}
}
// #endif